import {useRoutes} from 'hookrouter'
import { useState, useReducer } from 'react';
import Navigation from './components/Navigation';
import ChatContext, { chatReducer, getStartChat } from './contexts/Chat';
import UserContext, {getStartUser} from './contexts/User';
import Chatroom from './pages/Chatroom';
import Login from './pages/Login';


function App() {

  const routes = {
    '/': () => <Login />,
    '/chatroom': () => <Chatroom />
   }
  
   const [user, setUser] = useState(getStartUser())
   const [chat, setChat] = useReducer(chatReducer, getStartChat())
   const currentPage = useRoutes(routes);

  return (
    <UserContext.Provider value={{user, setUser}}>
      <ChatContext.Provider value={{chat, setChat}}>
        <Navigation />
        {currentPage}
      </ChatContext.Provider>
    </UserContext.Provider>
  );
}

export default App;
