import { useContext } from "react";
import ChatContext from "../contexts/Chat";
import UserContext from "../contexts/User";

function MessageBox() {


    const { user } = useContext(UserContext);
    const {setChat} = useContext(ChatContext);

    const handleSubmit = (event) =>  {
        event.preventDefault();
    
        const msg = event.target.msgBox.value;
        setChat(`${user.name}: ${msg}`);
    }

    return(
        <form onSubmit={handleSubmit}>
            <label htmlFor="msgBox">Enter Message: </label>
            <input id="msgBox" 
            name="msgBox" 
            type="text" />
            <input type="submit" value="Send Message" />
        </form>
    )
}

export default MessageBox;