import UserContext from "../contexts/User";
import {useContext} from 'react';
import {navigate} from 'hookrouter';


function ProfileSelector() {

    const { user, setUser } = useContext(UserContext);

    const handleSubmit = (event) =>  {
        event.preventDefault();
  
        const name = event.target.profileName.value;
        let newUser = {...user};
        newUser.name = name;
        setUser(newUser);
        navigate('/chatroom');
    }

    return(
        <form onSubmit={handleSubmit}>
            <label htmlFor="profileName">Name: </label>
            <input id="profileName" 
            name="profileName" 
            type="text" />
            <input type="submit" value="Set Name" />
        </form>
    )
}

export default ProfileSelector;